# parameters for building RPMs:
#
# -- with experimental                include experimental stuff
# -- without experimental   (default) don't include experimental stuff
#
# -- with dynloading        (default) use libdl to open shared objects
# -- without dynloading               link shared objects to libserdisp
#
#
# e.g:  to build RPMs with experimental stuff enabled
#       rpmbuild --with experimental --rebuild serdisplib-x.y-z.src.rpm

Summary: Library to drive several graphical LC-displays
Name: serdisplib
Version: 2.01
Release: 1
License: GPL
Group: System Environment/Libraries
URL: http://serdisplib.sourceforge.net/

Packager: Wolfgang Astleitner <mrwastl@users.sf.net>

Source: http://prdownloads.sourceforge.net/serdisplib/serdisplib-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf >= 2.5 gd-devel >= 2
%{?_without_dynloading:
BuildRequires: libusb-devel
}

%description
serdisplib is a library to drive graphical LC-displays

%package devel
Requires: serdisplib = %{version}-%{release}
Requires: pkgconfig
Summary:  The development libraries and header files for serdisplib
Group:    Development/Libraries

%description devel
The development libraries and header files for serdisplib, a library to drive several graphical LC-displays


%package tools
Requires: serdisplib = %{version}-%{release}
Requires: gd >= 2
Summary:  Serdisplib Tools (testserdisp, multidisplay)
Group:    Applications/Multimedia

%description tools
Tools for serdisplib, a library to drive several graphical LC-displays. Included tools are: testserdisp, multidisplay.

%{?_with_experimental:
%package server
Requires: serdisplib = %{version}-%{release}
Summary:  Serdispd Server
Group:    Applications/Multimedia

%description server
serdispd, a server-daemon for serving a serdisplib-client over an internet connection
}


%prep 
%setup
%configure %{?_with_experimental:--enable-experimental} %{?_without_dynloading:--disable-dynloading}



%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

%makeinstall
mkdir -p %{buildroot}/usr/lib/udev/rules.d
cp 90-libserdisp.rules %{buildroot}/usr/lib/udev/rules.d/

%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc COPYING HISTORY README TODO
%{_libdir}/*.so*
/usr/lib/udev/rules.d/*.rules
#%doc %{_mandir}/man?/*


%files devel
%defattr(-, root, root, 0755)
%{_libdir}/*.a
%{_includedir}/serdisplib/*
%{_libdir}/pkgconfig/serdisplib.pc

%files tools
%defattr(-, root, root, 0755)
%{_bindir}/*
%{?_with_experimental:
%exclude %{_bindir}/serdisplearn
}

%{?_with_experimental:
%files server
%defattr(-, root, root, 0755)
%{_sbindir}/*
%{_sysconfdir}/*
%{_bindir}/serdisplearn
}


%changelog
* Mon Jan 30 2017 Wolfgang Astleitner <mrwastl@users.sf.net> - 2.00-1
- add parameter for compiling packages without dynamic loading (libdl) of libraries
- add build dependency to libusb-devel if dynloading is disabled
- switch to version 2.x
- add udev-rules file
- replaced sub-minor version tag through extra postfix tag
- extra version tag will NOT be evaluated in the library
* Sun Apr 11 2010 Wolfgang Astleitner <mrwastl@users.sf.net> - 1.98.0-0
- serdisplib-devel: add pkgconfig to required packages
- serdisplib-devel: install pkgconfig .pc-file for serdisplib
* Thu Oct 12 2006 Wolfgang Astleitner <mrwastl@users.sf.net> - 1.98.0-0
- Introducing sub-minor versions
* Fri Jul 07 2006 Wolfgang Astleitner <mrwastl@users.sf.net> - 1.98-1
- Adding sub-package 'server' (serdispd server)
* Sun Oct 02 2005 Wolfgang Astleitner <mrwastl@users.sf.net> - 1.96-1
- Release version
* Sun Jun 12 2005 Wolfgang Astleitner <mrwastl@users.sf.net> - 1.96-0
- Initial package. (dvdauthor .spec-file taken as template)
